<!DOCTYPE html>

<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width">
	<title>Plait Webview Docs Index</title>

	<!--[if lt IE 9]>
	<script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link type="text/css" rel="stylesheet" href="styles/sunlight.default.css">

	<link type="text/css" rel="stylesheet" href="styles/site.cosmo.css">

</head>

<body>

<div class="navbar navbar-default navbar-fixed-top navbar-inverse">
<div class="container">
	<div class="navbar-header">
		<a class="navbar-brand" href="index.html">Plait Webview Docs</a>
		<button class="navbar-toggle" type="button" data-toggle="collapse" data-target="#topNavigation">
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
        </button>
	</div>
	<div class="navbar-collapse collapse" id="topNavigation">
		<ul class="nav navbar-nav">
			
			<li class="dropdown">
				<a href="namespaces.list.html" class="dropdown-toggle" data-toggle="dropdown">Namespaces<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="socket.html">socket</a></li>
				</ul>
			</li>
			
			<li class="dropdown">
				<a href="classes.list.html" class="dropdown-toggle" data-toggle="dropdown">Classes<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="Control.html">Control</a></li><li><a href="SessionControl.html">SessionControl</a></li><li><a href="Collection.html">Collection</a></li><li><a href="Overview.html">Overview</a></li><li><a href="Plugins.html">Plugins</a></li><li><a href="Editor.html">Editor</a></li><li><a href="FileMenu.html">FileMenu</a></li><li><a href="Form.html">Form</a></li><li><a href="Routing.html">Routing</a></li>
				</ul>
			</li>
			
			<li class="dropdown">
				<a href="global.html" class="dropdown-toggle" data-toggle="dropdown">Global<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="global.html#routing">routing</a></li><li><a href="global.html#control">control</a></li><li><a href="global.html#showSessions">showSessions</a></li><li><a href="global.html#TabButton">TabButton</a></li><li><a href="global.html#CueButton">CueButton</a></li><li><a href="global.html#CueBar">CueBar</a></li><li><a href="global.html#form">form</a></li><li><a href="global.html#editor">editor</a></li><li><a href="global.html#addGame">addGame</a></li><li><a href="global.html#createGame">createGame</a></li><li><a href="global.html#removeGame">removeGame</a></li><li><a href="global.html#inputPrompt">inputPrompt</a></li><li><a href="global.html#confirmation">confirmation</a></li><li><a href="global.html#identifyBrowser">identifyBrowser</a></li><li><a href="global.html#generateUUID">generateUUID</a></li><li><a href="global.html#namespace">namespace</a></li>
				</ul>
			</li>
			
		</ul>
        
            <div class="col-sm-3 col-md-3">
                <form class="navbar-form" role="search">
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Search" name="q" id="search-input">
                        <div class="input-group-btn">
                            <button class="btn btn-default" id="search-submit"><i class="glyphicon glyphicon-search"></i></button>
                        </div>
                    </div>
                </form>
            </div>
        
	</div>

</div>
</div>


<div class="container" id="toc-content">
<div class="row">

	
	<div class="col-md-8">
	
		<div id="main">
			

	
	











	
	





    <section class="readme-section">
        <article><h1 id="plaiframe-documentation">Plaiframe Documentation</h1>
<p>Welcome to the Plaitools framework source code documentation.</p>
<p>This is an auto generated website created with <a href="https://jsdoc.app/">JSDocs</a>.</p>
<p>All Code descriptions are generated from comments off the <a href="https://gitlab.com/plaitools/plaiframe">plaiframe project</a>.</p>
<p>Plaitools plaiframe documentation is split into three parts:</p>
<p><a href="https://plaitools.gitlab.io/documentation/plaiframe/">Server documentation</a> includes the core part of the plaiframe backend.</p>
<p><a href="https://plaitools.gitlab.io/documentation/plaiframe/plugins/">Plugin documentation</a> includes documentation for each plugin and the plugin boilerplates. Also a more detailed description on how to build plugins for plaiframe.</p>
<p><a href="https://plaitools.gitlab.io/documentation/plaiframe/webview/">webview code documentation</a> includes frontend editor and control web apps and socket interface to the server application.</p>
<p>Copyright 2020 Lasse Marburg, Benedikt Kaffai</p>
<p>plaiframe is free software: you can redistribute it and/or modify<br>
it under the terms of the GNU General Public License as published by<br>
the Free Software Foundation, either version 3 of the License, or<br>
(at your option) any later version.</p>
<p>plaiframe is distributed in the hope that it will be useful,<br>
but WITHOUT ANY WARRANTY; without even the implied warranty of<br>
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the<br>
GNU General Public License for more details.</p>
<p>You should have received a copy of the GNU General Public License<br>
along with this program.  If not, see <a href="http:%5C/%5C/www.gnu.org/licenses/">http://www.gnu.org/licenses/</a>.</p></article>
    </section>







	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        control/control.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>control</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Lasse Marburg 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="control_control.js.html">control/control.js</a>,
				 <a href="control_control.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        control/session.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>session<br>
Refers to a session document.<br>
opens Control on openDocument</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Lasse Marburg 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="control_session.js.html">control/session.js</a>,
				 <a href="control_session.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        editor/collections.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>make types of plait database collections accessible with web form</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Lasse Marburg 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="editor_collections.js.html">editor/collections.js</a>,
				 <a href="editor_collections.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        editor/editor.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>filemanager and editor for level and plugins</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Lasse Marburg 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="editor_editor.js.html">editor/editor.js</a>,
				 <a href="editor_editor.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        editor/form.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>handles json schemes to edit imported json files<br>
Based on <a href="https://github.com/json-editor/json-editor">json-editor</a></p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Lasse Marburg 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="editor_form.js.html">editor/form.js</a>,
				 <a href="editor_form.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        editor/level_collection.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>level_collection</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Lasse Marburg 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="editor_level_collection.js.html">editor/level_collection.js</a>,
				 <a href="editor_level_collection.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        home.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>Game Overview. Allows to create and manage plai games</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Lasse Marburg 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="home.js.html">home.js</a>,
				 <a href="home.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        model/config.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>config</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Benedikt Kaffai 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="model_config.js.html">model/config.js</a>,
				 <a href="model_config.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        model/cue.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>cue</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Benedikt Kaffai 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="model_cue.js.html">model/cue.js</a>,
				 <a href="model_cue.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        model/level.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>config</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Benedikt Kaffai 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="model_level.js.html">model/level.js</a>,
				 <a href="model_level.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        model/plaigraph.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>plaigraph</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Benedikt Kaffai 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="model_plaigraph.js.html">model/plaigraph.js</a>,
				 <a href="model_plaigraph.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        model/views.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>view</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Benedikt Kaffai 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="model_views.js.html">model/views.js</a>,
				 <a href="model_views.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        server.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>create socket connection<br>
defines collection of functions to communicate with server application<br>
socket is a global variable so hat there is only one connection per session</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Lasse Marburg 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="server.js.html">server.js</a>,
				 <a href="server.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




	<h1 class="page-title">Index</h1>
<section>

<header>
    
        <h2>
        url_routing.js
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>url_routing<br>
organise routing based on url</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	
	<dt class="tag-copyright method-doc-label method-doc-details-label">Copyright:</dt>
	<dd class="tag-copyright">
		<ul class="dummy">
			<li>Lasse Marburg 2020</li>
		</ul>
	</dd>
	

	
	<dt class="tag-license method-doc-label method-doc-details-label">License:</dt>
	<dd class="tag-license">
		<ul class="dummy">
			<li>GPLv3</li>
		</ul>
	</dd>
	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="url_routing.js.html">url_routing.js</a>,
				 <a href="url_routing.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




		</div>
	</div>

	<div class="clearfix"></div>

	
		<div class="col-md-3">
			<div id="toc" class="col-md-3 hidden-xs hidden-sm hidden-md"></div>
		</div>
	

</div>
</div>


    <div class="modal fade" id="searchResults">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title">Search results</h4>
          </div>
          <div class="modal-body"></div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div>


<footer>

	 | <a href='https://plaitools.gitlab.io/documentation/plaiframe/'>Plaiframe Documentation</a> | <a href='https://plaitools.gitlab.io/documentation/plaiframe/plugins/'>Plugin Documentation</a> | <a href='https://gitlab.com/plaitools'>Plaitools on Gitlab</a>


	<span class="copyright">
	© 2020 Lasse Marburg, Benedikt Kaffai
	</span>

<span class="jsdoc-message">
	Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.6.4</a>
	
		on Fri Feb 5th 2021
	
	using the <a href="https://github.com/docstrap/docstrap">DocStrap template</a>.
</span>
</footer>

<script src="scripts/docstrap.lib.js"></script>
<script src="scripts/toc.js"></script>

    <script type="text/javascript" src="scripts/fulltext-search-ui.js"></script>


<script>
$( function () {
	$( "[id*='$']" ).each( function () {
		var $this = $( this );

		$this.attr( "id", $this.attr( "id" ).replace( "$", "__" ) );
	} );

	$( ".tutorial-section pre, .readme-section pre, pre.prettyprint.source" ).each( function () {
		var $this = $( this );

		var example = $this.find( "code" );
		exampleText = example.html();
		var lang = /{@lang (.*?)}/.exec( exampleText );
		if ( lang && lang[1] ) {
			exampleText = exampleText.replace( lang[0], "" );
			example.html( exampleText );
			lang = lang[1];
		} else {
			var langClassMatch = example.parent()[0].className.match(/lang\-(\S+)/);
			lang = langClassMatch ? langClassMatch[1] : "javascript";
		}

		if ( lang ) {

			$this
			.addClass( "sunlight-highlight-" + lang )
			.addClass( "linenums" )
			.html( example.html() );

		}
	} );

	Sunlight.highlightAll( {
		lineNumbers : true,
		showMenu : true,
		enableDoclinks : true
	} );

	$.catchAnchorLinks( {
        navbarOffset: 10
	} );
	$( "#toc" ).toc( {
		anchorName  : function ( i, heading, prefix ) {
			return $( heading ).attr( "id" ) || ( prefix + i );
		},
		selectors   : "#toc-content h1,#toc-content h2,#toc-content h3,#toc-content h4",
		showAndHide : false,
		smoothScrolling: true
	} );

	$( "#main span[id^='toc']" ).addClass( "toc-shim" );
	$( '.dropdown-toggle' ).dropdown();

    $( "table" ).each( function () {
      var $this = $( this );
      $this.addClass('table');
    } );

} );
</script>



<!--Navigation and Symbol Display-->


<!--Google Analytics-->



    <script type="text/javascript">
        $(document).ready(function() {
            SearcherDisplay.init();
        });
    </script>


</body>
</html>